Subscriptions
Subscriptions are a declaration of interest in a particular resource, allowing a user to receive notifications when certain events occur. The events that trigger notifications are controlled by the type of subscription.
Objects
Subscription
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The subscription ID |
created | string | ISO 8601 timestamp | The instant the subscription was created at |
lastModified | string | ISO 8601 timestamp | The instant the subscription was last modified at |
type | string | Subscription Type | The type of subscription |
{
"id" : "182a63e2-c70a-4a74-bdcb-80bd9e907942",
"created" : "2026-11-09T22:34:27.353246",
"lastModified" : "2026-11-09T22:34:27.353248",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/8a163769-9e3f-458e-94e9-71babd5f3a83"
}
}
}
Formats
Subscription Type
string
| Value | Description |
|---|---|
ALL | Triggers notifications for all resource events |
ALERTS | Triggers notifications for resource alert events only |
NONE | Does not trigger any notifications |
Requests
View all subscriptions
GET /api/subscriptions
Returns all subscriptions for the authenticated user profile.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions' -i -X GET
import requests
url = "https://app.meltano.com:443/api/subscriptions"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription collection with HAL links.
{
"_embedded" : {
"subscriptions" : [ {
"id" : "182a63e2-c70a-4a74-bdcb-80bd9e907942",
"created" : "2026-11-09T22:34:27.353246",
"lastModified" : "2026-11-09T22:34:27.489025",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/8a163769-9e3f-458e-94e9-71babd5f3a83"
}
}
}, {
"id" : "c69a5521-0623-4062-ae5f-91b75a348cf3",
"created" : "2026-11-09T22:34:27.749931",
"lastModified" : "2026-11-09T22:34:27.749932",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "7df00a2d-6e70-4853-81ba-6d03cb90b929",
"published" : "2026-11-09T22:34:21.929803",
"alias" : "simple-bar-chart",
"workspaceId" : "ae694641-d0e3-475d-af4a-7f5189d519f2",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-11-09T22:34:21.951514",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/c69a5521-0623-4062-ae5f-91b75a348cf3"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/c69a5521-0623-4062-ae5f-91b75a348cf3",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/c69a5521-0623-4062-ae5f-91b75a348cf3",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/7df00a2d-6e70-4853-81ba-6d03cb90b929"
}
}
}, {
"id" : "0ee7c4e3-7a9d-4117-98ed-ca2a5812cab5",
"created" : "2026-11-09T22:34:33.480201",
"lastModified" : "2026-11-09T22:34:33.480204",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "f129fcbc-28ba-4c89-9748-7a16c7e61af1",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-11-09T22:34:28.2488"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/0ee7c4e3-7a9d-4117-98ed-ca2a5812cab5"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0ee7c4e3-7a9d-4117-98ed-ca2a5812cab5",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0ee7c4e3-7a9d-4117-98ed-ca2a5812cab5",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.meltano.com/api/pipelines/f129fcbc-28ba-4c89-9748-7a16c7e61af1"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View all member subscriptions to a workspace
GET /api/workspaces/{workspace-id}/members/subscriptions
Returns all member subscriptions to the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/ae694641-d0e3-475d-af4a-7f5189d519f2/members/subscriptions' -i -X GET
import requests
url = "https://app.meltano.com:443/api/workspaces/ae694641-d0e3-475d-af4a-7f5189d519f2/members/subscriptions"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription collection with HAL links.
{
"_embedded" : {
"subscriptions" : [ {
"id" : "bc09e938-592d-4ea2-90a4-aa84bba92f48",
"created" : "2026-11-09T22:34:33.63009",
"lastModified" : "2026-11-09T22:34:33.630092",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "ae694641-d0e3-475d-af4a-7f5189d519f2",
"name" : "Test Workspace [2026-11-09T22:34:20.975652120]"
},
"workspace" : {
"id" : "ae694641-d0e3-475d-af4a-7f5189d519f2",
"name" : "Test Workspace [2026-11-09T22:34:20.975652120]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/bc09e938-592d-4ea2-90a4-aa84bba92f48"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/bc09e938-592d-4ea2-90a4-aa84bba92f48",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/bc09e938-592d-4ea2-90a4-aa84bba92f48",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/ae694641-d0e3-475d-af4a-7f5189d519f2"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/ae694641-d0e3-475d-af4a-7f5189d519f2/members/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}
View a subscription
GET /api/subscriptions/{subscription-id}
Returns the subscription {subscription-id}.
Prerequisites
- Subscription
{subscription-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942' -i -X GET
import requests
url = "https://app.meltano.com:443/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "182a63e2-c70a-4a74-bdcb-80bd9e907942",
"created" : "2026-11-09T22:34:27.353246",
"lastModified" : "2026-11-09T22:34:27.353248",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/8a163769-9e3f-458e-94e9-71babd5f3a83"
}
}
}
Subscribe to a workspace
POST /api/workspaces/{workspace-id}/subscriptions
Subscribes the authenticated user profile to the workspace {workspace-id}.
By default, the subscription is configured for all workspace events (see Subscription Type for more information).
Prerequisites
- Workspace
{workspace-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
allMembers | No | Boolean | false | Whether or not to subscribe the workspace to workspace events, in order to enable workspace-wide notifications for all members by default (applicable for the workspace owner only) |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/ae694641-d0e3-475d-af4a-7f5189d519f2/subscriptions?allMembers=true' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/workspaces/ae694641-d0e3-475d-af4a-7f5189d519f2/subscriptions?allMembers=true"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "bc09e938-592d-4ea2-90a4-aa84bba92f48",
"created" : "2026-11-09T22:34:33.630090491",
"lastModified" : "2026-11-09T22:34:33.63009173",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "ae694641-d0e3-475d-af4a-7f5189d519f2",
"name" : "Test Workspace [2026-11-09T22:34:20.975652120]"
},
"workspace" : {
"id" : "ae694641-d0e3-475d-af4a-7f5189d519f2",
"name" : "Test Workspace [2026-11-09T22:34:20.975652120]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/bc09e938-592d-4ea2-90a4-aa84bba92f48"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/bc09e938-592d-4ea2-90a4-aa84bba92f48",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/bc09e938-592d-4ea2-90a4-aa84bba92f48",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/ae694641-d0e3-475d-af4a-7f5189d519f2"
}
}
}
Subscribe to a channel
POST /api/channels/{channel-id}/subscriptions
Subscribes the authenticated user profile to the channel {channel-id}.
By default, the subscription is configured for all channel events (see Subscription Type for more information).
Prerequisites
- Channel
{channel-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
allMembers | No | Boolean | false | Whether or not to subscribe the workspace to channel events, enabling notifications for all members by default (applicable for the workspace owner only) |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/8a163769-9e3f-458e-94e9-71babd5f3a83/subscriptions' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/channels/8a163769-9e3f-458e-94e9-71babd5f3a83/subscriptions"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "182a63e2-c70a-4a74-bdcb-80bd9e907942",
"created" : "2026-11-09T22:34:27.353246199",
"lastModified" : "2026-11-09T22:34:27.353247735",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/8a163769-9e3f-458e-94e9-71babd5f3a83"
}
}
}
Subscribe to a dataset
POST /api/datasets/{dataset-id}/subscriptions
Subscribes the authenticated user profile to the dataset {dataset-id}.
By default, the subscription is configured for all dataset events (see Subscription Type for more information).
Prerequisites
- Dataset
{dataset-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
allMembers | No | Boolean | false | Whether or not to subscribe the workspace to dataset events, enabling notifications for all members by default (applicable for the workspace owner only) |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/7df00a2d-6e70-4853-81ba-6d03cb90b929/subscriptions' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/datasets/7df00a2d-6e70-4853-81ba-6d03cb90b929/subscriptions"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "c69a5521-0623-4062-ae5f-91b75a348cf3",
"created" : "2026-11-09T22:34:27.749930785",
"lastModified" : "2026-11-09T22:34:27.749932317",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "7df00a2d-6e70-4853-81ba-6d03cb90b929",
"published" : "2026-11-09T22:34:21.929803",
"alias" : "simple-bar-chart",
"workspaceId" : "ae694641-d0e3-475d-af4a-7f5189d519f2",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-11-09T22:34:21.951514",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/c69a5521-0623-4062-ae5f-91b75a348cf3"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/c69a5521-0623-4062-ae5f-91b75a348cf3",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/c69a5521-0623-4062-ae5f-91b75a348cf3",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/7df00a2d-6e70-4853-81ba-6d03cb90b929"
}
}
}
Subscribe to a pipeline
POST /api/pipelines/{pipeline-id}/subscriptions
Subscribes the authenticated user profile to the pipeline {pipeline-id}.
By default, the subscription is configured for all pipeline events (see Subscription Type for more information).
Prerequisites
- Pipeline
{pipeline-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
allMembers | No | Boolean | false | Whether or not to subscribe the workspace to pipeline events, enabling notifications for all members by default (applicable for the workspace owner only) |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/pipelines/f129fcbc-28ba-4c89-9748-7a16c7e61af1/subscriptions' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/pipelines/f129fcbc-28ba-4c89-9748-7a16c7e61af1/subscriptions"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "0ee7c4e3-7a9d-4117-98ed-ca2a5812cab5",
"created" : "2026-11-09T22:34:33.480201447",
"lastModified" : "2026-11-09T22:34:33.48020359",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "f129fcbc-28ba-4c89-9748-7a16c7e61af1",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-11-09T22:34:28.2488"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/0ee7c4e3-7a9d-4117-98ed-ca2a5812cab5"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0ee7c4e3-7a9d-4117-98ed-ca2a5812cab5",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0ee7c4e3-7a9d-4117-98ed-ca2a5812cab5",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.meltano.com/api/pipelines/f129fcbc-28ba-4c89-9748-7a16c7e61af1"
}
}
}
Update a subscription
PUT /api/subscriptions/{subscription-id}
Updates the subscription {subscription-id}.
Prerequisites
- Subscription
{subscription-id}must exist
Body
| Path | JSON Type | Format | Description |
|---|---|---|---|
type | string | Subscription Type | The type of subscription |
{
"type" : "ALERTS"
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"type" : "ALERTS"
}'
import requests
url = "https://app.meltano.com:443/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942"
data = {
"type" : "ALERTS"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "182a63e2-c70a-4a74-bdcb-80bd9e907942",
"created" : "2026-11-09T22:34:27.353246",
"lastModified" : "2026-11-09T22:34:27.489025466",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/8a163769-9e3f-458e-94e9-71babd5f3a83"
}
}
}
Remove a subscription
DELETE /api/subscriptions/{subscription-id}
Removes the subscription {subscription-id}.
Prerequisites
- Subscription
{subscription-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/subscriptions/182a63e2-c70a-4a74-bdcb-80bd9e907942"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.